KTextEditor::EditInterface Class Referenceabstract

`#include <editinterface.h>`

## Public Member Functions

uint | editInterfaceNumber () const
virtual QString | text () const =0
virtual QString | text (uint startLine, uint startCol, uint endLine, uint endCol) const =0
virtual QString | textLine (uint line) const =0
virtual uint | numLines () const =0
virtual uint | length () const =0
virtual int | lineLength (uint line) const =0
virtual bool | setText (const QString &text)=0
virtual bool | clear ()=0
virtual bool | insertText (uint line, uint col, const QString &text)=0
virtual bool | removeText (uint startLine, uint startCol, uint endLine, uint endCol)=0
virtual bool | insertLine (uint line, const QString &text)=0
virtual bool | removeLine (uint line)=0
virtual void | textChanged ()=0
virtual void | charactersInteractivelyInserted (int, int, const QString &)=0

## Protected Member Functions

void | setEditInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateEditInterface

## Detailed Description

This is the main interface for accessing and modifying text of the Document class.

Definition at line 33 of file editinterface.h.

## Member Function Documentation

virtual bool KTextEditor::EditInterface::clear | ( |  | ) |

pure virtual

clears the document Warning: This will overwrite any data currently held in this view.

virtual bool KTextEditor::EditInterface::insertLine | ( | uint | line,
|  | const QString & | text
| ) |  |

pure virtual

Insert line(s) at the given line number.

Use insertLine(numLines(), text) to append line at end of document

virtual bool KTextEditor::EditInterface::insertText | ( | uint | line,
|  | uint | col,
|  | const QString & | text
| ) |  |

pure virtual

Inserts text at line "line", column "col" returns true if success Use insertText(numLines(), ...) to append text at end of document.

virtual uint KTextEditor::EditInterface::length | ( |  | ) | const

pure virtual

Returns
  the number of characters in the document

virtual int KTextEditor::EditInterface::lineLength | ( | uint | line | ) | const

pure virtual

Returns
  the number of characters in the line (-1 if no line "line")

virtual uint KTextEditor::EditInterface::numLines | ( |  | ) | const

pure virtual

Returns
  The current number of lines in the document

virtual bool KTextEditor::EditInterface::removeLine | ( | uint | line | ) |

pure virtual

Remove line(s) at the given line number.

virtual bool KTextEditor::EditInterface::removeText | ( | uint | startLine,
|  | uint | startCol,
|  | uint | endLine,
|  | uint | endCol
| ) |  |

pure virtual

remove text at line "line", column "col" returns true if success

virtual bool KTextEditor::EditInterface::setText | ( | const QString & | text | ) |

pure virtual

Set the given text into the view.

Warning: This will overwrite any data currently held in this view.

virtual QString KTextEditor::EditInterface::text | ( |  | ) | const

pure virtual

slots !!!

Returns
  the complete document as a single QString

virtual QString KTextEditor::EditInterface::text | ( | uint | startLine,
|  | uint | startCol,
|  | uint | endLine,
|  | uint | endCol
| ) |  | const

pure virtual

Returns
  a QString

virtual void KTextEditor::EditInterface::textChanged | ( |  | ) |

pure virtual

signals !!!

virtual QString KTextEditor::EditInterface::textLine | ( | uint | line | ) | const

pure virtual

Returns
  All the text from the requested line.

The documentation for this class was generated from the following files:

- editinterface.h
- editinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys